%define         svn 20080926svn

Name:           knetworkmanager
Version:        0.7
Release:        0.7.%{svn}%{?dist}
Summary:        KDE applet for Network Manager

Group:          Applications/Internet
License:        GPLv2+
URL:            http://en.opensuse.org/Projects/KNetworkManager
Source0:        knetworkmanager-%{version}-%{svn}.tar.bz2
#script to make svn tarball
Source1:	knetworkmanager-svn_checkout.sh
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


BuildRequires:  automake libtool 
BuildRequires:  dbus-qt3-devel >= 0.8.1
BuildRequires:  NetworkManager-glib-devel >= 0.7
BuildRequires:  desktop-file-utils kdelibs3-devel hal-devel wireless-tools-devel
BuildRequires:  libnl-devel

%description
KNetworkManager is a system tray applet for controlling network
connections on systems that use the NetworkManager daemon.

%package openvpn
Summary:        knetworkmanager openvpn client
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       openvpn
%description openvpn
openvpn support for KNetworkManager

%package vpnc
Summary:        knetworkmanager vpnc client
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       vpnc
%description vpnc
vpnc support for knetworkmanager

%package pptp
Summary:        knetworkmanager pptp client
Group:          Applications/Internet
Requires:       %{name} = %{version}-%{release}
Requires:       pptp
%description pptp
pptp support for knetworkmanager

%package devel
Summary:        Development files for %{name} 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
%description devel
%{summary}.


%prep 
%setup -q -n %{name}-%{version}


make -f admin/Makefile.common 


%build
%configure \
  --disable-rpath \
  --disable-warnings \
  --with-openvpn \
  --with-vpnc \
  --with-pptp

# not smp safe
make


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

desktop-file-install \
--dir %{buildroot}%{_datadir}/applications/kde \
--vendor="" \
--remove-category=Applet \
--remove-category=Network \
--add-category=System \
%{buildroot}%{_datadir}/applications/kde/knetworkmanager.desktop

install -p -m644 -D \
  %{buildroot}%{_datadir}/applications/kde/knetworkmanager.desktop \
  %{buildroot}%{_datadir}/autostart/knetworkmanager-autostart.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
   lang=$(basename $lang_dir)
   echo "%lang($lang) %doc $HTML_DIR/$lang/*" >> %{name}.lang
done
fi

mkdir -p %{buildroot}%{_datadir}/icons/hicolor
cp -a    %{buildroot}%{_datadir}/icons/crystalsvg/* \
         %{buildroot}%{_datadir}/icons/hicolor/
rm -rf   %{buildroot}%{_datadir}/icons/crystalsvg


%clean
rm -rf %{buildroot}


%post
touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor || :
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/knetworkmanager.conf
%{_bindir}/knetworkmanager
%{_libdir}/kde3/knetworkmanager.*
%{_libdir}/libkdeinit_knetworkmanager.*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/apps/knetworkmanager/
%{_datadir}/autostart/knetworkmanager-autostart.desktop
%{_datadir}/applications/kde/knetworkmanager.desktop
%{_datadir}/servicetypes/knetworkmanager_plugin.desktop
%{_datadir}/servicetypes/knetworkmanager_vpnplugin.desktop

%files devel
%defattr(-,root,root,-)
%{_includedir}/knetworkmanager-plugin.h
%{_includedir}/knetworkmanager-vpnplugin.h

%files openvpn
%defattr(-,root,root,-)
%{_libdir}/kde3/knetworkmanager_openvpn.la
%{_libdir}/kde3/knetworkmanager_openvpn.so
%{_libdir}/kde3/knetworkmanager_openvpn.so.0
%{_libdir}/kde3/knetworkmanager_openvpn.so.0.0.0
%{_datadir}/services/knetworkmanager_openvpn.desktop

%files vpnc
%defattr(-,root,root,-)
%{_libdir}/kde3/knetworkmanager_vpnc.la
%{_libdir}/kde3/knetworkmanager_vpnc.so
%{_libdir}/kde3/knetworkmanager_vpnc.so.0
%{_libdir}/kde3/knetworkmanager_vpnc.so.0.0.0
%{_datadir}/services/knetworkmanager_vpnc.desktop

%files pptp
%defattr(-,root,root,-)
#%{_libdir}/kde3/knetworkmanager_pptp.la
#%{_libdir}/kde3/knetworkmanager_pptp.so
#%{_libdir}/kde3/knetworkmanager_pptp.so.0
#%{_libdir}/kde3/knetworkmanager_pptp.so.0.0.0
#%{_datadir}/services/knetworkmanager_pptp.desktop


%changelog
* Mon Oct 20 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.7-0.7.20080926svn
- fix icon hack (from 0.7-0.4)

* Wed Sep 24 2008 Dennis Gilmore <dennis@ausil.us> - 0.7-0.6.20080926svn
- update to 20080926 snapshot 

* Tue Jul 15 2008 Dennis Gilmore <dennis@ausil.us> - 0.7-0.5.20080715svn
- update to latest snapshot
- renable all sub-packages
- pptp is still not upstream  but we will create a blank rpm for now.

* Tue Jun 03 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.7-0.4.20080603svn
- 20080603 snapshot
- Obsoletes for subpkgs not included
- move crystalsvg icons to hicolor

* Wed Feb 06 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.7-0.3.svn20080205
- patch to run moc by hand in src/dbus to work around non-working automoc
- drop unneeded "run make in src/dbus first, then in toplevel" hack
- comment out files/subpackages not implemented upstream yet
- disable parallel make

* Tue Feb 05 2008 Dennis Gilmore <dennis@ausil.us> - 0.7-0.2.svn20080205
- new svn snapshot

* Sat Jan 19 2008 Rex Dieter <rdieter[AT]fedoraproject.org> - 0.7-0.1.svn20080119
- first try using knetworkmanager-0.7 branch

* Sun Dec 09 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0.2-0.3.svn20070921
- BR: kdelibs3-devel

* Fri Sep 21 2007 Rex Dieter <rdieter[AT]fedoraproject.org> - 0.2-0.2.svn20070921
- License: GPLv2+
- update tarball to 20070921
- drop upstreamed kpp patch
- cleanup/simplify BR's

* Wed Aug 15 2007 Dennis Gilmore <dennis@ausil.us> - 0.2-0.1.svn20070815
- revert back to svn the upstream tarball was so bad there is no way to build it

* Tue Jul 24 2007 Dennis Gilmore <dennis@ausil.us> - 0.2-1
- 0.2 release

* Thu Mar 12 2007 Dennis Gilmore <dennis@ausil.us> - 0.1-0.9.svn20070409
- add --disable-warnings to configure so that build works on i386

* Tue Mar 10 2007 Dennis Gilmore <dennis@ausil.us> - 0.1-0.8.svn20070409
- new snapshot, add BR libnl-devel 
- make sub packages have a correct defattr

* Sun Mar 08 2007 Dennis Gilmore <dennis@ausil.us> - 0.1-0.7.svn20070408
- update to new snapshot
- vpnc ,openvpn, pptp and devel sub packages

* Fri Jan 26 2007 Dennis Gilmore <dennis@ausil.us> - 0.1-0.6.svn20061113
- build against dbus-qt package

* Tue Nov 14 2006 Dennis Gilmore <dennis@ausil.us> - 0.1-0.5.svn20061113
- messed up check in :(

* Tue Nov 14 2006 Dennis Gilmore <dennis@ausil.us> - 0.1-0.4.svn20061113
- update to new svn snapshot  change dialup networking to call kppp

* Wed Sep 13 2006 Dennis Gilmore <dennis@ausil.us> - 0.1-0.4.svn20060912
- add BR on wireless-tools-devel update snapshot

* Sat Sep 02 2006 Dennis Gilmore <dennis@ausil.us> - 0.1-0.4.svn20060809
- Rebuild for FC6

* Thu Aug 10 2006 <dennis@ausil.us> - 0.1-0.3.svn20060809
- patch in dbus support

* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.3.svn20060626
- patch out call to yast and replace with 
- system-config-network for dialup

* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.2.svn20060626
- add a . to the release 

* Mon Jun 27 2006 <dennis@ausil.us> - 0.1-0.1svn20060626
- fix  BuildRequires  missing hal-devel,  fix version to match
- fedora guidelines, add comment about patch  Bad SuSE

* Mon May 29 2006 <dennis@ausil.us> - 0.1-1svn20060626
- update to different svn branch
* Wed Mar 13 2006 <dennis@ausil.us> - 0.1r5872-1
- Initial Fedora Port
